import { world, system } from "@minecraft/server";
export default function growTreeMushroom(location, fruit, playerplaced, dimension) {
  const overworld = world.getDimension("overworld");
  const rotations = ["0_degrees", "180_degrees", "270_degrees", "90_degrees"];
  const offsets = [0, 0, 1, 2];
  var treernd, randomIndex, fruitParts, fruitName;
  try {
    if (location != undefined) {
      dimension.runCommand(`setblock ${location.x} ${location.y} ${location.z} air replace`);
      randomIndex = Math.floor(Math.random() * 4.0);
      if (playerplaced) {
        treernd = Math.floor(Math.random() * 6.0);
      } else {
        treernd = Math.floor(Math.random() * 6.0);
      }
      fruitParts = fruit.split(":");
      fruitName = fruitParts.length > 1 ? fruitParts[1].split("_")[0] : fruitParts[0];
      if (treernd == 0) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_15x15_1" ${location.x - 8} ${location.y - 3} ${location.z - 8} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 1) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_15x15_2" ${location.x - 8} ${location.y - 3} ${location.z - 8} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 2) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_17x17_3" ${location.x - 9} ${location.y - 3} ${location.z - 9} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 3) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_17x17_4" ${location.x - 9} ${location.y - 3} ${location.z - 9} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 4) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_19x19_5" ${location.x - 10} ${location.y - 3} ${
            location.z - 10
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      } else {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_19x19_6" ${location.x - 10} ${location.y - 3} ${
            location.z - 10
          } ${rotations[randomIndex]} none layer_by_layer 3`
        );
      }
    }
  } catch (e) {}
  treernd = randomIndex = fruitParts = fruitName = undefined;
  return null;
}
